
Infrastructure - Task #7142

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Add code to read and store new system metadata fields - media type, media type properties and file

name

2015-06-01 23:15 - Jing Tao

Status: Closed Start date: 2015-06-01

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

We need to add java code to read/write new system metadata fields - media type, media type properties and file name

History

#1 - 2015-07-06 22:05 - Jing Tao

The read method is IdentifierManager.getInstance().getSystemMetadata(pid.getValue());

The write method is IdentifierManager.getInstance().insertOrUpdateSystemMetadata(sm);

#2 - 2015-07-06 23:23 - Jing Tao

The class trunk/src/edu/ucsb/nceas/metacat/admin/upgrade/GenerateGlobalIdentifiers.java was modified. 

#3 - 2015-07-08 22:10 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

The write/read/delete of system metadata methods which interact with the database in IdentifierManager class were modified.  
